Package org.eclipse.emf.cdo.server.ocl

# Class CDOExtentCreator.Lazy

java.lang.Object
org.eclipse.emf.cdo.server.ocl.CDOExtentCreator
org.eclipse.emf.cdo.server.ocl.CDOExtentCreator.Lazy

All Implemented Interfaces:
  `OCLExtentCreator`

Enclosing class:
  `CDOExtentCreator`

public static class CDOExtentCreator.Lazy extends CDOExtentCreator
An `extent creator` that creates extent sets which support a lazy populating iterator.

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.cdo.server.ocl.CDOExtentCreator

`CDOExtentCreator.Lazy`

## Constructor Summary

Constructors
Constructor
Description
`Lazy(CDOView view)`

## Method Summary

Modifier and Type
Method
Description
`protected Set<EObject>`
`createExtent(EClass eClass, IStoreAccessor accessor, CDOBranch branch, long timeStamp, AtomicBoolean canceled)`

### Methods inherited from class org.eclipse.emf.cdo.server.ocl.CDOExtentCreator

`createExtent, createExtent, getChangeSetData, getEObject, getRevisionCacheAdder, getRevisionInterner, getView, handleRevisions, isDetached, setChangeSetData, setRevisionCacheAdder, setRevisionInterner`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Lazy

public Lazy(CDOView view)

## Method Details

### createExtent

protected Set<EObject> createExtent(EClass eClass, IStoreAccessor accessor, CDOBranch branch, long timeStamp, AtomicBoolean canceled)

Overrides:
  `createExtent` in class `CDOExtentCreator`